Correct memory size reporting on AMD family 14h systems for >= 4GB.
Signed-off-by: Scott Duplichan <scott@notabs.org>

diff -r -u coreboot-8fed77a\src\northbridge\amd\agesa_wrapper\family14\northbridge.c coreboot-4gbfix\src\northbridge\amd\agesa_wrapper\family14\northbridge.c
--- coreboot-8fed77a\src\northbridge\amd\agesa_wrapper\family14\northbridge.c	Sat Jun 18 19:50:32 2011
+++ coreboot-4gbfix\src\northbridge\amd\agesa_wrapper\family14\northbridge.c	Sun Jun 19 00:50:25 2011
@@ -652,8 +652,8 @@
     d = get_dram_base_mask(0);
 
     if (d.mask & 1) {
-        basek = ((resource_t)(d.base)) << 8;
-        limitk = (resource_t)((d.mask << 8) | 0xFFFFFF);
+        basek = ((resource_t)((u64)d.base)) << 8;
+        limitk = (resource_t)(((u64)d.mask << 8) | 0xFFFFFF);
 printk(BIOS_DEBUG, "adsr: (before) basek = %llx, limitk = %llx.\n",basek,limitk);
 
         /* Convert these values to multiples of 1K for ease of math. */
